%bcond_with tests

Summary:        Objective Caml library for managing dates and times
Name:           ocaml-calendar
Version:        3.0.0
Release:        4%{?dist}
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
URL:            https://ocaml-community.github.io/calendar/
Source0:        https://github.com/ocaml-community/calendar/archive/v%{version}/calendar-%{version}.tar.gz

BuildRequires:  ocaml ocaml-dune ocaml-re-devel

%if %{with tests}
BuildRequires:  ocaml-alcotest-devel
%endif

%description
Objective Caml library for managing dates and times.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -n calendar-%{version} -p1

%build
dune build --verbose --release %{?_smp_mflags}


%install
dune install --destdir=%{buildroot} --verbose --release %{?_smp_mflags}
mlis=$(find %{buildroot}/usr/lib64/ocaml -name '*.mli')
rm -f ${mlis//.mli/.ml}
rm -rf %{buildroot}%{_prefix}/doc

dev_suffixes=("a" "cmo" "cmt" "cmti" "cmx" "cmxa" "h" "idl" "ml" "mli" "o")
touch devel.filelist
for suffix in "${dev_suffixes[@]}"; do
  find %{buildroot} -type f -name "*.${suffix}" -printf '/%%P\n' >> devel.filelist
done

find %{buildroot} -type f \( -name "dune-package" -o -name "opam" \) \
    -printf '/%%P\n' >> devel.filelist

sed 's|^|%exclude |' devel.filelist > main.filelist

%if %{with tests}
%check
dune runtest --verbose --release %{?_smp_mflags}
%endif


%files -f main.filelist
%doc README.md COPYING LGPL CHANGES
%{_libdir}/*

%files devel -f devel.filelist

%changelog
* Mon Jun 24 2024 Rebuild Robot <rebot@opencloudos.org> - 3.0.0-4
- [Type] other
- [DESC] Rebuilt for ocaml-re

* Sat Jun 22 2024 Rebuild Robot <rebot@opencloudos.org> - 3.0.0-3
- [Type] other
- [DESC] Rebuilt for ocaml

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 Shuo Wang <abushwang@tencent.com> - 3.0.0-1
- update to 3.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 cunshunxia <cunshunxia@tencent.com> - 2.04-1
- initial build

